git-buildpackage (0.9.38) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * [b15709f] config: Enable 'multimaint-merge' by default.
    There are currently 735 packages[1] that default to 'True' for this
    option and seems most no maintainer would manually write a
    debian/changelog with the same maintainer repeated, so this would be a
    better default.
    Also, devscripts itself recently changed this and will have it enabled
    by default in version 2.25.1+.
  * [f7ce004] docs: Add diagram to manual to help readers grasp the DEP-14 branches.

  [ Andrew Kreimer ]
  * [b44226e] docs: fix typos.

  [ Guido Günther ]
  * [89b0995] ci: Run codespell. We run it on th doc folder.
  * [a6f65c1] docs: Mention DCO.Hopefully we get more commits with
    `Signed-off-by:`.
  * [2a30c7a] import-orig: Keep upstream branch on initial import.
    When importing a new package we want to keep both upstream and debian
    branch as otherwise the user has an extra manual step of recreating the
    branch.
  * [091b811] docs: Modernize creating a new package.  With upcoming support
    for gbp.conf in dh_make let's modernize the docs a bit and use `*/latest`
    there too.
  * [462d5f7] clone: Ensure attribute changes are applied past clone.
    This makes sure changes due to the added gitattributes take effect in
    the checkout. This helps e.g. kotlin wich otherwise has
      $ git status
      [..snip..]
      Changes not staged for commit:
      (use "git add <file>..." to update what will be committed)
      (use "git restore <file>..." to discard changes in working directory)
    	modified:   compiler/cli/bin/kapt.bat
    	modified:   compiler/cli/bin/kotlin-dce-js.bat
    	modified:   compiler/cli/bin/kotlin.bat
    	modified:   compiler/cli/bin/kotlinc-js.bat
    	modified:   compiler/cli/bin/kotlinc-jvm.bat
    	modified:   compiler/cli/bin/kotlinc.bat
    after
       gbp clone vcsgit:kotlin
    Helps: #1092800
  * [ed0bb53] tests: Check that git attributes are disarmed.
    Add a test for
       462d5f75 ("clone: Ensure attribute changes are applied past clone")
    to ensure git attributes aren't applied and the working copy stays
    clean. Based on bits from !38 by Julien Plissonneau Duquène
  * [6512a0d] changelog: Don't capture dch's stderr.  Otherwise we'll never
    see it

  [ Gioele Barabucci ]
  * [7beb71e] buildpackage: Allow both DEP-14 and DEP14 as values for `dist`
  * [67baaae] Consistently use DEP-X in documentation and error messages.
    The consensus on debian-devel is that "DEP-X" should be preferred
    to "DEPX" and "DEP X".
    See: https://lists.debian.org/debian-devel/2024/11/msg00141.html

  [ Richard Hansen ]
  * [69afa42] packaging: Bump Python version for `type` statement.
    The `type` statement was added in Python 3.12.
  * [ec76596] packaging: Remove unused python3-filelock dependency.
    This reverts commit 5155e98b3cac28a32f20ac369e28e9fa78676fd4.
  * [240fbb4] packaging: Mark test build dependencies as !nocheck
  * [971d253] packaging: Fix python3-notify2 suggestion for git-buildpackage-rpm
  * [117f3ed] build: Drop exact version requirement for flake8
    v3.5.0 hasn't been supported since at least Python 3.9.
  * [7b6408a] build: Change coverage dependency to pytest-cov.
    Testing fails if pytest-cov isn't installed.
  * [b4e2e8f] build: Add missing requirements to requirements.txt
  * [ebd478d] build: Add a venv target to Makefile for convenience
  * [f251b86] build: Make it easier to override python executable in Makefile.
    Now users can do `make PYTHON=python3.12` to force a particular
    version of Python if desired.

  [ Julien Plissonneau Duquène ]
  * [a738315] Pass --download-version to uscan

 -- Guido Günther <agx@sigxcpu.org>  Thu, 10 Apr 2025 15:36:33 +0200

git-buildpackage (0.9.37) unstable; urgency=medium

  [ Guido Günther ]
  * [9551420] import-orig: Add mention of --upstream-vcs-tag to description.
    This makes it hopefully easier to discover.
  * [9a2507e] setup: Require python 3.11.
    We don't test it on anything older. (Closes: #1091851)
  * [005676a] buildpackage: Make sure export_dir is always set.
    Fixes c9cc8df4 ("buildpackage: remove export_dir if build fails")
    (Closes: #1091554)
  * [ae6f841] repo-setup: Drop context manager for posix path.
    Python's breaks backward compatibility without being helpful.
    See https://github.com/python/cpython/issues/83863
    This fixes running gbp with Pythone 3.13

  [ Otto Kekäläinen ]
  * [ec9ee37] docs: Clarify and unify the purpose of each command in the man pages.
    Update the <refpurpose> field in each command to better capture the main
    purpose of the command, and ensure the main `gbp (1)` man page uses the
    same text to avoid them from diverging.
  * [f3036fb] docs: Add examples sections where missing, and enrich examples.
    Most commands should have an EXAMPLES section on the man page, and the
    first 1-2 examples should show what are the most common invocations.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 09 Jan 2025 18:24:22 +0100

git-buildpackage (0.9.36) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * [aee0584] Idiomatic usage of pytest, remove almost all traces of nose
    (Closes: #1018367)

  [ Guido Günther ]
  * [4c63abd] d/control: Drop dependency on pkg-resources (Closes: #1083415)
  * [f243658] docs: Mardownify development hints
  * [379e63f] docs: Adjust test invocations for pytest. It's different from
    nose, sigh
  * [1f1f7f2] docs: Link to hacking
  * [a699d3b] docs: Add merge request URL
  * [45b2d4f] docs: Clean up markdown. Make mdl happy.
  * [5495aa6] docs: Use application instead of product.
    Avoids the ™. See
        https://tdg.docbook.org/tdg/5.1/application
    While at that move all applications into their own block
  * [ae431af] docs: Use entities for lintian and rpm-lint.
    We use command rather than productname as the related text refers to
    running external commands.
  * [9c1ec80] dirlocals: Avoid tabs in xml mode
  * [e19f76e] docs: intro: Make first point more crisp
  * [e0e1102] docs: intro: Use <filename> around debian/changelog
  * [dc42093] docs: intro: Mention that we support push and pull
  * [12287be] docs: intro: Mention gbp push.
    The initial paragraph was written before gbp push existed.
  * [3d34a37] tests: Strip result.
    This unbreaks CI and lets us work with recent and older
    dpkg-parsechangelog.
  * [8396466] build: Allow to pass args to mypy. Useful in CI
  * [a3472d3] ci: Add upstream pipeline. Do the linting and checking before
    running salsa-ci
  * [f7c50a1] ci: Store ruff result as junit. Makes things easier to read in
    gitlab
  * [e228fed] ci: Run typecheck
  * [59b3da2] upstreamsource: Add some types for tarball lists.
    We need to slightly tweak the code for this 
  * [80e5964] pristine-tar: Move import to its own function. Rename debsource
    to source while at that to match other scripts
  * [0365f5c] pristine-tar: Import upstream signatures too. Otherwise we're
    not consistent with import-orig
  * [55a5925] tests: Skip repo creation test in CI. We have too many perms
  * [c8dfce0] build: Allow to pass extra args to pytest. Useful in ci.
  * [0337772] ci: Run pytests. This allows us to run the tests that need
    network as well
  * [1930a4a] ci: Fetch deb packaging data.
    Enables us to run the deb based component tests. We do this for the test
    job only as the others don't need the submodules to work.
    The rpm component tests need more work so we don't fetch the subodule
    yet.
  * [69f1fe7] packaging: Don't run flake8.
    This makes the package build more robust as we don't have to worry about
    new formatting warnings/errors which don't affect the functionality of
    the package.
  * [15fe75e] ci: Use ci pipelines and robustify CI runs. Cancel running jobs
    to save resources
  * [4f28776] ci: Run ci-fairy. This keeps commit messages sane
  * [2c5d94d] tests: Ease checking exit status. Print the error log when exit
    status is not 0
  * [7a9c89c] tests/clone: Print logs on failure. Eases debugging in CI
  * [83af90e] ci: Enable tests that need network access
  * [fb6d859] ci: Run shell checks. We can drop them from the packaging run.
  * [410df5f] packaging: Drop test dependencies. We run the tests in CI
  * [b6aaa8e] tests: Enable coverage reports and coverage percentage
  * [6ff6117] gbp: Add pipes module verbatim from Python 3.12.8
  * [e401bae] pipes: Drop deprecation warning. Drop the deprecation warning,
    add a copyright header and make flake8 happy.
  * [43d4b3b] pipes: Use shlex.quote. Ensures we don't leak pipe.quote
  * [87e5905] gbp: Use our bundled pipes module (Closes: #1084672)

  [ Otto Kekäläinen ]
  * [ea20cff] Support numerical prefix in suite names.
    E.g. '12-bookworm' or '24.04-noble'.
    Repositories that have many parallel releases in maintenance are easier
    to manage when the suites have a number prefix so they sort alphabetically
    correctly, and also causes less cognitive load in trying to remember what
    release number and name to put in debian/changelog.
  * [dd3bba9] Document vendor detection and sort names alphabetically
  * [b8e75c6] docs: Consistently use 'upsreamvcs' as git remote for upstream
  * [a92b54d] docs: Misc minor tweaks and fixes
    * Fix one stray use of 'debian/sid' missed in 4dc9a6ce
    * Mention DEP-14 layout on page about branches
    * Update links to upstream Git homepage and to salsa.debian.org
    * Replace link 'here' with actual manual URL to make the link readable
    * Use https in links
    * Remove trailing white space
  * [14e2a30] docs: Use the shorter URL to online manual, and promote it in man pages too.
    Shorter is better and prettier, so promote https://gbp.sigxcpu.org/manual/
    over the long URL. Also promote this in the introduction of the most
    important man pages, as currently the anyone reading the man pages will
    not discover the online manual as the links are missing.
    The only link in the manpages currently is a local link, which does not
    render at all at e.g. https://manpages.debian.org/bookworm/git-buildpackage/git-buildpackage.1.en.html
  * [7ae9847] docs: Clarify that 'upstream' branch doesn't mean actual upstream branch.
    Correct common misunderstanding that the gbp 'upstream' branch is not
    the actual upstream branch, but a custom branch that represents the
    source code at the time of the release, and which together with the
    pristine-tar is used to reconstruct the upstream source code as-is.
    Co-authored-by: Guido Günther <agx@debian.org>
  * [1187384] docs: gbp-clone: Clarify commands and include --add-upstream-vcs in example.
    Also unify the use of `<screen>` syntax in examples to avoid excess
    whitespace, and fix some indentation.
    Use `vcs-git:` in examples to avoid confusing reader with multiple options
    for the exact same thing. Choose this spelling as it will be correctly
    associated with the `Vcs-Git:` field in the `debian/control` file in the
    mind of Debian maintainers/developers.
  * [74d059a] docs: Improve intro to better summarize what git-buildpackage can do
  * [3fc948a] docs: Extend intro mentioning uscan, pristine-tar, debchange, debuild etc.
    Extend the intro to mention that git-buildpackage uses under the hood
    many existing core Debian packaging tools. This is important as it gives
    new readers a better understanding of how git-buildpackage operates, in
    particular if they are experienced Debian packagers.

  [ Chris Lamb ]
  * [c224b03] Prevent "pq export" (etc.) from creating unparsable diffs when diff.noprefix=true is set.
    Using diff.noprefix=true globally makes Git nicer to use as a human, as it
    makes it possible to copy file paths when running git diff (etc.) on the
    command line.
    Otherwise, you typically see filenames which technically don't exist. For
    instance, these files aren't under a directory called "a" or "b" at all; they
    are placeholders:
      --- a/tochange.py
      +++ b/tochange.py
    However, when this global option is set, "pq export" will serialise the patch
    branch into debian/patches with the filenames missing the prefix, which
    dpkg-source then can't actually parse and it errors out. In other words, they
    look like this:
      --- tochange.py
      +++ tochange.py
    A patch is attached that overrides diff.noprefix when calling out to
    "git diff", meaning that it will use "a/" and "b/" as expected. This
    seems somewhat analogous to overriding the user's core.abbrev setting.
    (Closes: #1088032)

  [ Richard Lewis ]
  * [c9cc8df] buildpackage: remove export_dir if build fails.
    Previously, the export_dir was not removed if the build command
    (set by --git-builder) failed, or was interrupted.
    This commit ensures it is removed, unless --git-no-purge is used
    Not removing is useful for debugging, but does not need to be the
    default (Closes: #1088179)
  * [663b3ff] gbp: Use shlex.quote rather than pipe.quote

  [ Travis Wrightsman ]
  * [2914c03] docs: Add import-ref to gbp(1)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Dec 2024 13:48:23 +0100

git-buildpackage (0.9.35) unstable; urgency=medium

  [ Guido Günther ]
  * [09d65cb] Use pythons builtin mock
  * [360222d] d/control: Let Vcs-* point to salsa
  * [ca70762] import: Use debian/latest.
    It's the recommended layout
  * [4dc9a6c] docs: Prefer debian/latest over debian/sid.
    This is more widespread nowadays and ensures the latest upstream
    version is always in the repositories default branch.
  * [a88e01e] Drop completely outdated tox.ini
  * [5c8f1af] Drop travis CI file.
    We use salsa's CI and haven't used travis CI since ages.
  * [8e494cb] tests: Merge the repository doctests.
    We use a single doctest as module scoped fixtures can't be used with
    doctests in pytest
  * [d21fead] tests: Merge the pristine-tar doctests.
    We use a single doctest as module scoped fixtures can't be used with
    doctests in pytest
  * [33f4884] build: Run tests through pytest.
    We still use nose's assertions. See
    https://github.com/pytest-dev/nose2pytest on how to convert those in the
    future so can't drop the dependency yet.
    Closes: #1080224
    Helps: #1018367
  * [a553f93] rpm: Mark two tests as xfail.
    Needs debugging why they regressed as there weren't any changes in that
    area recently.
  * [54bec6e] tests/component: Fix skipping tests when submodules are no
    present.  Rework the logic to work with pytest instead of nose
  * [3a87c05] tests/component/rpm: Fix skipping tests with pytest.
    Rework the logic to work with pytest instead of nose

  [ Ferenc Wágner ]
  * [aa468c0] dscfile.py: decide native/non-native based on diff presence, not
    version format. Source format 1.0 native packages with a hyphen in their
    version number were mistaken by the original code for non-native.
  * [1fecdcd] 12_test_deb: add test for native 1.0 DSC with Debian revision

 -- Guido Günther <agx@sigxcpu.org>  Tue, 24 Sep 2024 07:59:14 +0200

git-buildpackage (0.9.34) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * [dbd1b36] salsa-ci: Disable SALSA_CI_DISABLE_VERSION_BUMP.
    Disabling the version automatic version bump in Salsa-CI satisfies
    Python setuptools and build passes.
  * [ae2d10c] docs: Fix misc spelling in documentation.
    In code standardize on using 'commitish' while docs have 'commit-ish'
    like upstream git convention seems to be.
  * [a0e45c6] gbp: Fix misc spelling in user visible output and comments
  * [42c3e15] debian: Fix misc spelling.
    The debian/changelog has many spelling errors but not touching them now
    as changing past changelog entries might be contentious.
  * [13f5205] tests: Implement 'run-in-docker -c docker'
    Typically developers have either Docker or Podman on their laptops for
    running containers. As Podman follows nearly identical syntax as Docker,
    add new option '-c' that allows to specify Podman or Docker as the
    container command, with Podman being default if nothing is defined as
    the main developer is using Podman.
    Also ignore log files both in .gitignore and resulting .dockerignore so
    that tests runs can be logged with 'tee x.log' without triggering
    rebuilds of the container via polluting the 'COPY . .' step.
  * [6df86f9] tests: Avoid busting container layer cache on every file change
  * [c7c73d3] tests: Capitalize Dockerfile commands to follow to formal syntax.
    This is necessary to be able to use static Dockerfile analyzers.
  * [4940747] tests: Fix shell syntax issues in run-in-container.
    If 'run-in-container x' was issued, script would fail silently. With
    this change it will properly exit with 'bad action: x' and help message.
    Also fix a bunch of other minor issues detected by ShellCheck.
  * [dd891c6] tests: Rename run-in-docker to run-in-container to be more generic

  [ Guido Günther ]
  * [75cda52] Validate shell completion functions.
    For zsh we can at least catch syntax errors and use shellcheck for
    bash.
  * [2f47ec4] setup: Move most options to setup.cfg.
    We can move everything that doesn't depend on running a script
    or evaluating environment variables.
  * [307f8ad] docs: Drop NEWS
    dh_installchangelogs handles that
  * [af15aad] rpm: Adjust to new gbp.conf install path.
    To make setup.py happy we moved to an underscore path name in
        2f47ec4c ("setup: Move most options to setup.cfg")
  * [ef0211c] tests: shellcheck packaging-in-container too.
    Now that is passes let's make sure it stays that way.
  * [dca6702] dscfile: Use "file" as context manager.
    Closes the file automatically. Move parsing out of the constructor
    while at that.
  * [2ba5b93] dscfile: Improve error when dsc file isn't UTF-8
    (Closes: #1072387)
  * [c0b776c] examples/zeitgest: Exit early if we don't find the python module.
    Don't use `unicode` while at that.
  * [1233918] rpm: Prefer isinstance() over type()
  * [cbce318] rpm: Prefer 'not in' for membership tests
  * [6166d74] tristate: Prefer isinstance() over type()
  * [9650f68] tests: Prefer isinstance() over type()
  * [364eccb] tests: Clarify noqa tags.
    Ruff is more strict than flake8 here
  * [ff276e5] Add linter configs
  * [077cc51] ci: Run ruff
  * [0d7193b] tests: Avoid assertEquals.
    Python 3.12 dropped it. I just wish there would be deprecations.
  * [dde9e7d] tests: Avoid assertRaisesRegexp.
    Python 3.12 dropped it. I just wish there would be deprecations.
  * [15f3b8c] Drop format_b.
    We require python 3.5 anyway and Python 3.12 dropped decode from string.
    (Closes: #1074681)

  [ Jochen Sprickerhof ]
  * [026cd23] pull: Allow pull in unclean repos.
    This works just fine when git can fast forward, i.e. with untracked
    content or changes in tracked files that are not touched by the commits.
    In case fast forward is not possible gbp will complain anyhow.

  [ Carlos Henrique Lima Melara ]
  * [385291f] docs: document how to send the tip of debian-branch with gbp push.
    When --debian-tag is set to '' empty string, gbp will push the tip of
    the debian branch to remote.
    Small typo fix also: s/branach/branch/

  [ Sven Geuer ]
  * [1d814b9] docs: create_repo uses DEBFULLNAME not DEBUSER.
    Make the docs match.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Jul 2024 20:51:28 +0200

git-buildpackage (0.9.33) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * [f6d90d5] docs: gbp-clone: Fix small typo and fix metadata file name

  [ Guido Günther ]
  * [6923df4] config: Catch DuplicateOption errors.
    Nicer than printing a stack trace
  * [8deb2e1] tests: Make flake8 happy (Closes: #1058551)

  [ Taihsiang Ho (tai271828) ]
  * [d1a9745] d/control: Specify required git version as dependency.
    Explicitly specify the git version to facilitate easier backporting.
    Developers can align with this git version to reduce false alarms due
    to version inconsistencies.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Dec 2023 15:49:47 +0100

git-buildpackage (0.9.32) unstable; urgency=medium

  * Upload to unstable
    Closes: #1042188

 -- Guido Günther <agx@sigxcpu.org>  Fri, 04 Aug 2023 09:11:56 +0200

git-buildpackage (0.9.31) experimental; urgency=medium

  [ Guido Günther ]
  * Upload to experimental.
    gbp-import-orig when used with --upstream-vcs-tag now strips extensions like
    'dfsg', 'ds' or 'repack' from upstream version numbers and handles the
    'really' convention. Let's test this in experimental before uploading to
    unstable.
  * [cf5b2ad] config: Print sensible error message on duplicate sections.
    Don't confuse users with a backtrace.
  * [a420bc9] gbp/deb/git: Don't strip ~ patterns unconditionally.
    They're needed when packaging upstream beta versions. So use
    a positive list instead.
    Fixes: a5575e178639a8e167c7f3090263a03b362e05e7
  * [9c4841e] d/rules: Check for DEB_BUILD_OPTIONS
  * [e358254] dch: Catch d/control parse errors too.
    Print a clear error message instead of hiding it in the backtrace.
    Thanks to Mechtilde Stehmann for the report
  * [4f909d2] pq: Roll back on all errors.
    Drop the pq branch on all exceptions not only on the ones gbp throws
    itself. This makes sure the result is consistent in such situations (no
    patches applied).
  * [8dfec59] patch_series: Ignore whitespace lines.
    E.g. python-coverage has a form feed in the series file.
    Thanks to Ian Jackson for the detailed report (Closes: #1030534)
  * [c72464b] gbp-upload: Check if remote exists

  [ Akbarkhon Variskhanov ]
  * [afcd15b] create-remote-repo.xml: Fix minor typo

  [ Samuel Henrique ]
  * [11728ec] rpm/policy: Add missing dash before version in RPM changelog header.

  [ Huw Jones ]
  * [3434531] repository.create_tag: Explicitly don't sign when sign=False.
    This avoids `tag.gpgsign = true` from git-config leaking through.
    (Closes: #1032932)

  [ Richard Laager ]
  * [29370b5] import-orig: Parse various Debian version patterns.
    This parses common Debian version patterns into the "real" upstream
    version.  For example, 1.1.8+dfsg1 becomes 1.1.8.  This strips epochs,
    handles the +really convention, finds git revisions, and strips other +
    or ~ patterns. (Closes: #968329)

  [ Junichi Uekawa ]
  * [f0e9d41] docs: gbp-pq manpage: refer to the moved location
    gbp-pq manpage refers to a page that says the content has moved.
    I think it can refer to the local html copy[1], or the internet copy.
    [1] /usr/share/doc/git-buildpackage/manual-html/gbp.patches.html
    (Closes: #1035838)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 31 May 2023 10:59:35 +0200

git-buildpackage (0.9.30) unstable; urgency=medium

  * [f102dca] examples: Add upload script
  * [2e1ff95] tests: Allow file protocol for submodule test
    (Closes: #1023379)
  * [b21f537] Bump standards version to 4.6.1.
    No changes required

 -- Guido Günther <agx@sigxcpu.org>  Thu, 24 Nov 2022 16:55:53 +0100

git-buildpackage (0.9.29) unstable; urgency=medium

  [ Guido Günther ]
  * [f76f200] clone: Allow to automatically add upstream vcs.
    While "gbp import-orig" supports "--upstream-vcs" since some time to
    link to the upstream git history however setup of the upstream remote
    repo so far was manual.
    To make this more automatic add "--add-upstream-vcs" to "gbp clone"
    (defaulting to False) and set up the upstreamvcs remote in case there's
    sufficient information in debian/upstream/metadata. Once added fetch
    from that remote initially.
  * [37cd681] git-pbuilder: export GBP_{DIST,ARCH,BUILDER} to the environment.
    This makes sure we don't export very generic vars while still being able
    to make decisions based on what was passed to gbp.
  * [2f463b9] config: Print correct default for postunpack hook
  * [5155e98] Build-depend on python3-filelock.
    This works around #1020024

  [ Pete Moore ]
  * [907e17a] rpm: Fix flake8

  [ Stefano Rivera ]
  * [ccbb64b] Specify a sysconfig scheme in smoke-rpm.
    Debian uses the posix_local scheme by default, since Python 3.10,
    causing the rpm to be built with the incorrect layout.
  * [3954043] Explicitly use the deb install layout when building our RPM.
    Debian defaults to installing to /usr/local, unless told otherwise. This
    is usually done by passing --install-layout=deb to setup.py, when called
    directly. But that's only an option on Debian systems that have this
    patch. Set the environment variable equivalent, instead.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 Sep 2022 16:45:34 +0200

git-buildpackage (0.9.28) unstable; urgency=medium

  [ Diane Trout ]
  * [09338d2] pkgpolicy: Use type annotations that also work for python 3.9
    (Closes: #1012717)

  [ Guido Günther ]
  * [666389b] export-orig: Allow for --pristine-tar-commit.
    No reason to restrict this to build-package

 -- Guido Günther <agx@sigxcpu.org>  Tue, 05 Jul 2022 11:50:33 +0200

git-buildpackage (0.9.27) unstable; urgency=medium

  [ Guido Günther ]
  * [7717b39] git/repository: Disable signatures when grepping for commits.
    Otherwise get the signature back as well.
    Thanks to наб for the patch (Closes: #1010370)
  * [86b4fd8] config: Use ConfigParser instead of deprecated SafeConfigParser
    (Closes: #1011344)
  * [83e7791] tests: Test import-orig from upstream branch
  * [14ea481] deb: Decode changelog content when fetched from git.
    When importing not form the upstream branch the changelog is fetched
    via `git show`. Decode the bytes in that case. (Closes: #1004354)
  * [4d173ac] docs: Fix --upstream-signature flag description.
    Thanks to Tino Mettler
  * [42a1406] clone: Allow to skip alias expansion.
    Add an option that allow to skip exansion of aliases like salsa:
    by gbp so that git can do that. (Closes: #983085)
  * [9ab4a0e] pkgpolicy: Add type annotations.
    Just enough to  make mypy happy.
  * [39ae57e] Ignore imports without type annotations for now.
    Ignore rpm and libnotify for the moment
  * [92c3fd2] dch: Add minimal type information.
    Just enough to make mypy happy
  * [441bd27] Makefile: add type-check
  * [05ea122] tests: Add "gbp import-orig --uscan" test
  * [36737d2] uscan: Drop pre 2.11 devscripts compat code.
    It's not even in oldoldoldstable anymore
  * [613fcb8] docs: Make --component more prominent
    (Closes: #934200)
  * [7a674e0] docs: Ship gbp-setup-gitattributs man page
  * [14170d6] dch: Don't crash when we fail to get an upstream version
    (Closes: #879495)
  * [25327d1] smoke-rpm: Avoid deprecated distutils
  * [59bf3a6] repository: list_tree: Handle '-'
  * [3e30ce3] repository.get_submodules: Only strip repo path from the
    beginning.  We shouldn't just replace any occurence since we otherwise
    might also substitute in the submodule.
    Based on a patch by "ushen <yshxxsjt715@gmail.com>".
    See https://github.com/agx/git-buildpackage/pull/82
  * [03348fd] repository: Add helper to prefix branch with 'refs/heads/'
    No attempt is being made to ensure this is a local branch.
  * [a5e6dea] pull: Prefix local branch with 'refs/heads/'
    This can resolve ambiguity when generating the rev list.
    (Closes: #966627)
  * [d2200e4] Add breaks on older dgit.
    See #1005873, #1010061

  [ Nicolas Boulenguez ]
  * [ff524f1] debhelper: make package prefix explicit in configuration files.
    This slightly improves readability.
  * [6d1c325] debian/rules: simplify installation of zsh and pk4.
    There seems to be no reason to change their names and permissions
    between the source tree and the eventual installation path.
  * [8742d3f] rules: simplify thanks to debhelper compat 13.
    When dh-sequence-foo is listed in build-depends, debhelper
    automatically inserts dh_foo in the commands.
    override_dh_auto_test is not invoked anymore if DEB_BUILD_OPTIONS
    contains nocheck.
    execute_after_dh_* is available and more readable than override_dh_*.
    Move chmod to execute_after_dh_fixperms for clarity.
    Examples are not compressed anymore.
  * [4c9032e] debian/rules: remove obsolete and unused Make variables
  * [bd529f0] debian/copyrigt: switch to machine-readable format 1.0
  * [36499a8] Move some cleaning from debian/rules to debian/clean
  * [9bdb516] debian/clean: add forgotten files
  * [7740d59] debian/rules: really export GBP_NETWORK_TESTS to tests
    $(MAKE) GBP_NETWORK_TESTS=1
    was setting a Make variable in the sub-Make, but not exporting it for
    test/*.py subprocesses.
  * [71a1556] debian/rules: clean __pycache__ directories generated during the
    build
  * [ee38574] clone: add second allowed form for vcs-git protocol to manual
    page

  [ Arnaud Rebillout ]
  * [abce93c] import-dsc: Fix error message when missing debian branch.
    The error message mistakenly talks about the upstream branch when it
    should be talking about the debian branch.
    (Closes: #984516)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 May 2022 10:07:23 +0200

git-buildpackage (0.9.26) unstable; urgency=medium

  [ Quanah Gibson-Mount ]
  * [677500d] rpm: Avoid devscript dependency.
    The package is currently not available everywhere.

  [ Andrej Shadura ]
  * [231ecef] import-orig: Don’t hardcode the pristine-tar branch
  * [de3c7c8] export-orig: Consistently refer to the pristine-tar branch.
    Since we’re checking pristine_tar_branch, not pristine_tar.branch,
    use the same expression in the log even though it’s not supposed
    to be different.
  * [1065bca] config: Add missing comma
  * [6acd556] deb.git, scripts: Use cannot rather than can not for clarity
    "Can not" may in some cases mean something different than "cannot",
    use "cannot" to make sure there are no misunderstandings.

  [ Unit 193 ]
  * [f268448] uscan: Remove pre-devscripts 2.10.70 compat code.
    We can rely on the <target> element being present in dehs output.
    The output it looks for from uscan no longer matches anyway.

  [ Guido Günther ]
  * [c8782f2] HACKING: mention how to rerun a single test
  * [bb783b5] HACKING: Document how to keep test repos around
  * [63ce4ed] tests: Fix "test_push_failure" with newer git.
    The test created a broken tag on the remote side to avoid that being
    pushed in the test however git 2.34 and newer fail every push to that
    repo so rather create a non-ff branch instead to make the push fail.
  * [caf64cb] push: Make --debian-tag='' match the documentation.
    An empty Debian tag indicates "don't care" about the packaging branch.
    Don't fail in that case but rather push out up to the branch tip.
    this makes it simpler to push the current development work via
      gbp  push --debian-tag='' <remote>
    But we'll need to add less obscure ways in follow up commits too.
  * [8db5af7] pq: Check if repo is clean before importing patches
    (Closes: #1005321)
  * [dbadeed] rpm.changelog: Drop non breaking space.
    This trips up pydoctor.
    Thanks to Carsten Schönert for debugging help
  * [40b9693] rpm.policy: Drop non breaking space.
    This trips up pydoctor.
    Thanks to Carsten Schönert for debugging help

  [ Antonio Terceiro ]
  * [5dcd753] docs: port build system to newer pydoctor.
    According to https://pydoctor.readthedocs.io/en/latest/help.html, the
    command line and configuration parsing has changed in an incompatible
    way. These changes fix the documentation build for me, but are probably
    backwards-incompatible with older versions of pydoctor.
  * [0dfc259] tests: set HOME to an unexisting directory.
    The test suite contains several assumptions about the global git
    configuration, including but not limited to the default branch name
    being `master`. By running the tests against a unexisting HOME, git will
    not load the user configuration and instead use all the git defaults.
  * [1a5fd69] debian/rules: fix build with python3.10 as default
  * [6733ab9] tests: fix input data to create-remote-repo tests
    (Closes: #1010061)
  * [2405e15] push: skip pristine-tar push if already present remotely.
    When one is working on an older branch (stable update or backport), the
    pristine-tar branch may already contain new commits after the one
    corresponding to the upstream version in question. (Helps: #1001163)

  [ Nicolas Boulenguez ]
  * [e17d814] scripts: add -v shortcut for --verbose where it has been
    forgotten
    (Closes: #1010750)

  [ Roland Mas ]
  * [3627fa0] docs: Fix argument for "gbp pq export --commit"

 -- Guido Günther <agx@sigxcpu.org>  Mon, 16 May 2022 10:56:56 +0200

git-buildpackage (0.9.25) unstable; urgency=medium

  * [e6c86c1] buildpackage: Map 'debian/latest' and 'debian/main' to sid too.
    This avoids having to specify a suite with more modern common branch
    names.
  * [196a9ee] tests: Make sure DEBEMAIL is set.  Otherwise dch based tests
    fail (Closes: #998573)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Nov 2021 10:24:32 +0100

git-buildpackage (0.9.24) unstable; urgency=medium

  [ Guido Günther ]
  * [82750c0] dch: Require EMAIL or DEBEMAIL to be set.
    The alternative would be to set a dummy address in case of
    --git-author but that again can use $EMAIL so just fail if
    both are unset. (Closes: #987611)
  * [c48b0f4] Add translation infrastructure.
    Make it simple to create/update the pot file and provide an initial po
    file for de.
  * [6ac98c7] d/control: Drop versioned python3 dep.
    Even oldoldstable is recent enough
  * [e8292e3] d/control: Add RulesRequiresRoot
  * [e80151a] d/control: Depend on dh-sequence-python3.
    This makes the requirement more obvious since dh-python does
    multiple things

  [ Emanuele Aina ]
  * [26d6ceb] git: Actually include the missing key name in the KeyError message
  * [f90e4f8] Fix import-dsc on empty repo if defaultBranch!=master.
    (Closes: #906600)

  [ Anthony Sottile ]
  * [6c92ebb] Use collections.abc.Iterable instead of collections.Iterable
    since Python 3.10 dropped the alias.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 26 Oct 2021 09:46:11 +0200

git-buildpackage (0.9.23) experimental; urgency=medium

  [ Michael Prokop ]
  * [4d15467] zsh completion: update completion for "pull" and further new
    commands. Provide zsh completion for new commands config, export-orig,
    import-ref, pristine-tar,push, tag. While at it, also extend completion
    for `gbp pull`.

  [ Andrej Shadura ]
  * [434d558] import-dsc: Delete NULs from dpkg-parsechangelog output before
    parsing. Commit messages may not contain NUL characters; in practice,
    Debian changelogs sometimes do, usually as the result of incorrectly used
    encoding for non-ASCII personal names.  As a safety net, delete all NULs
    from the output of dpkg-parsechangelog before parsing it, so that they
    don’t get fed into Git or anything else further in the processing.
    (Closes: #981340)
  * [0d21789] clone: Don’t check out the Debian branch if it doesn’t exist
  * [b17c14a] gbp.git: Change list_tree to return an iterator.
    When working with huge trees, we want to avoid consuming large amounts
    of memory just to throw away most of it almost immediately when we only
    need one entry or a few of them.
  * [3fa9f4d] gbp.git: Add support for long listing format (with object sizes)
    This is useful to be able to scan a tree for a specific file
    but only act if it’s non-empty.
  * [8e0e7cc] repo_setup: Add check/setup_gitattributes
    setup_gitattributes() sets up .git/info/attributes in a way to prevent
    transformations from interfering with packaging, because the working tree
    files can differ from the Git revision history (and from the source
    packages).
    Similar functionality has been implemented by dgit and git-deborig, so we
    try to stay compatible and re-use the name of the attribute macro. Since
    dgit doesn’t disable export-subst and export-ignore, which may interfere
    with export-orig, we add this on top the same way git-deborig does.
    dgit used to have an older preset missing some of the attributes, so if
    we find those, we disable them.
    The user, should they choose so, still can re-enable the attributes
    disabled in this way by adding more specific rules further in the
    .git/info/attributes file.
  * [20052e1] clone: Add --defuse-gitattributes.
    On clone, disable Git attributes that may interfere with building
    packages shipping .gitattributes *iff* they ship those files.
    Set to auto by default, can also be turned off completely or
    can be performed unconditionally.
  * [7a9079a] scripts: Add setup-gitattributes subcommand.
    The setup-gitattributes subcommands overrides Git attributes
    unconditionally, without verifying first the package ships any
    .gitattributes files.
  * [660c027] docs: gbp-clone: Document --defuse-gitattributes.
    Describe concisely what the option does; a longer description
    will go into a separate manpage.
  * [85b0b65] docs: Add a manpage for gbp setup-gitattributes.
    Describle how and why the attributes are being disabled, refer
    to dgit, git-deborig and Git documentation; add a reference to
    the gbp-clone manpage.
  * [0621195] d/control: Add the new subcommand to the package description
  * [acd81c9] d/control: Capitalise Git throughout the package descriptions
  * [6a53c23] scripts: Make setup_gitattributes future-proof
    * Add --all (default) and --[no-]dgit-defuse-attrs to enable
      adding more options in future.
    * Rewrite the manual page to reflect the change in approach.
    * Error out when running with no presets enabled
  * [b29f355] Install the setup_gitattributes script
  * [6ab3421] Add tests for setup-gitattributes functionality

  [ Jonathan Rubenstein ]
  * [d50d590] Add info about --git-ignore-branch when not on branch
    (Closes: #956491)

  [ Emanuele Aina ]
  * [fc56884] dch: Add support for the --local=suffix option
    (Closes: #857370)

  [ Guido Günther ]
  * [d6a92cc] tests: Match the correct files in filter tests.
    Verify we match at all by adding a positive test as well
  * [35d91d5] setup.py: Avoid dpkg-parsechangelog.
    This helps on non-debian systems
  * [c341c19] setup.py: Allow for more liberal version numbers.
    Otherwise this causes trouble for backports, downstreams, etc.
  * [82bb712] spec: Install setup-git-attributes command.
    This unbreaks the autopkgtest
  * [f48e18c] spec: Switch requires to python3 too.
    Thanks to Quanah Gibson-Mount
  * [e34e595] docs: Use either python3 or python.
    Some distros (such as Debian) don't ship a /usr/bin/python anymore

  [ Logan Rosen ]
  * [a54baad] tests/11_test_dch_main.py: Fix OS release check for Ubuntu.
    (Closes: #983204)

  [ Arnaud Ferraris ]
  * [0a03572] manpages: fix gbp-setup-gitattributes
  * [3f8a58c] repo_setup: fix documentation generation
    docstring format for bullet lists requires a leading dash. This fix
    prevents build failures when running `make docs`.

  [ Quanah Gibson-Mount ]
  * [d5e2096] gbp-builder-mock: Update to work with current mock releases
  * [3a6b629] Fix gbp-builder-mock to honor configured options for mock
  * [3adf602] setup.py: Explicitly open the changelog file as utf-8
  * [c97aeda] docs: Check for docbook2man too
  * [d32fdb4] spec: Ignore byte-compiled python files
  * [3151247] spec: Fix rpm build on centos7 and centos8

 -- Guido Günther <agx@sigxcpu.org>  Tue, 08 Jun 2021 17:35:20 +0200

git-buildpackage (0.9.22) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * [1586313] Define %python_sitelib for autopkgtest.
    The rpm package no longer defines this, instead there is python3_sitelib
    in /usr/lib/rpm/macros.d/macros.python3 provided by the
    python3-rpm-macros package (not in Debian).
  * [5949fbc] autopkgtest: Set %_arch.
    Seems to be needed on armhf. (Closes: #980256)
  * [43ead9c] rpm: Stop decoding strings.
    Fails with newer rpmlib
  * [c6731c0] rpm: Open tempfile in text mode
  * [2dc9953] rpm: Fix tags in rpm spec files.
    Patches are named similar to sources, counting from 0.
    https://docs.fedoraproject.org/en-US/Fedora_Draft_Documentation/0.1/html/RPM_Guide/ch09s03s04.html
  * [8b3abc9] rpm: Fix tags in rpm spec files
    (Closes: #980637)

  [ Guido Günther ]
  * [6391e0a] tests: Honor GBP_TESTS_NOCLEAN in rpm tests too
  * [99af76a] d/control: Require newer rpm.  The version changed API and
    parsing strictness in multiple places, don't try to cater for older
    versions.
  * [785e204] Update rpm component test submodule
  * [9efbe12] d/control: Switch to dh-compat 13
  * [ef79503] dh_missing: Ignore __pycache__
  * [190b19d] d/control: Bump supported python3 version.
    We specify current stable as a lower bound.
  * [bb396dd] Drop maintainer scripts.
    They were needed for the oldstable -> stable upgrade
  * [67ce18a] manpages: Fix typo in gbp-buildpackage-rpm.1
  * [16c23ec] stricter arch check to unbreak test on i386 in salsa-ci

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 Feb 2021 09:15:22 +0100

git-buildpackage (0.9.21) unstable; urgency=medium

  [ Guido Günther ]
  * [bd15730] docs: Drop --git- from dch invocation.
    Thanks Pierre Equoy
  * [7179893] docs: Clarify that only tarball creation is affected.
    Thanks to Pierre Equoy
  * [1d922d7] policy: Fix typos.
    Thanks to Andrius Merkys (Closes: #966130)
  * [16b8817] spec: Include the correct file
    export_ref.py does not exist.
  * [fd35de0] spec: Don't fail on empty cache dir
  * [df9bae2] autopkgtest: Pass RPM macros on command line.
    This avoids the need to modify files in the home directory.
  * [53501b5] smoketest: Avoid writing to ..
    Use a temporary directory to avoid 'allow-root'.
  * [4e5fc40] autopkgtests: Depend on @builddep@
    Otherwise gbp is not able to build itself.
    Thanks to Lukas Märdian for the detailed report
    (Closes: #968982)
  * [504dda3] test_import_orig: Fix typo
  * [c09d629] test_import_orig: Drop unused variable.
    This makes flake8 happy
  * [73492e1] salsa-ci: Skip reprotest.
    It triggers a test failure since a test can write to a
    destination it should not be able to write too.
  * [c02938f] docs: Add example for exporting the source tree.
    See #969952
  * [657b005] buildpackage: Fix tests and test arch override
  * [cc5e85b] import-ref: Fix help.
    We want an upstream version, not  path
  * [680e9ec] gitlab-ci: Use a more recent Ubuntu LTS
  * [e085ab9] tests: Fixup changelog test on Ubuntu.
    The keys in os-release differ from lsb-release

  [ Marco Trevisan (Treviño) ]
  * [9fc3f1b] import-orig: expose unpacked sources dir to the postunpack hook.
    Use an $GBP_SOURCES_DIR to expose the post-unpack sources dir to the hook.
    Include a test that checks that all the expected env variables are set.
  * [297c5ff] import-orig: Allow the post-unpack hook to filter tarball files.
    With post-unpack scripts is currently possible to filter out files that
    are not needed from the upstream branch, however it is not possible to use it
    to filter files that will end up in the orig file, and in some scenarios
    this is not easily doable just using a filter list.
    So, run the post-unpack hook just after unpacking and before repacking the
    tar. (Closes: #812721)

  [ Richard Laager ]
  * [0f8f550] import-orig: Fix a comment typo
  * [707ebdf] import-orig: Refactor vcs_tag_parent.
    This eliminates an indentation level.
  * [064834b] import-orig: Refactor vcs_tag_parent.
    This makes the "tag" variable just the tag.  This improves the
    human-readability of the error message if the tag cannot be found.

  [ Heiko Schlittermann ]
  * [d9e4734] buildpackage: Honor --git-arch for GBP_CHANGES_FILE
    (Closes: #941345)

  [ Chris Lamb ]
  * [8734ed3] docs: Correct "option" typo in gbp-buildpackage manpage
    (Closes: #972081)

  [ nicoo ]
  * [a2a3085] tests/11_test_dch_main.py: Don't expect /etc/lsb-release on
    Debian
  * [0916529] doctests/test_Changelog: Don't expect /etc/lsb-release
    (Closes: #976914)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 07 Jan 2021 11:28:00 +0100

git-buildpackage (0.9.20) unstable; urgency=medium

  * [e513375] doctest: Ignore exception detail.
    We used the tests to check whether the right exception was returned but
    python 3.8 breaks this again.  Doctest were a nice feature but keeping up
    with the subtle breackage is too cumbersome.
  * [3b05fa8] deb: git: Escape '.' on pristine-tar matches
    '.' is valid in source package names and version numbers so we
    want to match exactly that and not an arbitrary character.
  * [74b3799] pristine-tar: Escape '+' in match regexp.
    When looking for matching file name we need to exscape the valid '+' but
    need to do it late since it must not be escaped for git-grep.
    (Closes: #956103)
  * [a3d9c98] docs: import-ref: Fix wrong --upstream-tree default
    (Closes: #962916)
  * [f68858e] import-orig: Print all found sources with `verbose`
  * [111aa86] get_component_tarballs: Check for signature too
    (Closes: #96396)
  * [4f2569d] git: Drop another doctest that matched exception
    type.
  * [305a4ad] import_orig: Drop all upstream signatures with
    --upstream-signatures=off.  This makes sure we don't use spurious files as
    signatures
  * [0bc42b4] Make flake8 E741 happy
    (Closes: #964040)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Jul 2020 14:47:44 +0200

git-buildpackage (0.9.19) unstable; urgency=medium

  * [30cfa76] d/tests/control: Drop python-rpm. We'd need
    python3-rpm for the build test but that is not run atm.
  * [2159ac3] Build-Depend on pydoctor since this uses python3
    Thanks to Boyuan Yang for the hints (Closes: #943107)
  * [96526f2] Add salsa-ci

 -- Guido Günther <agx@sigxcpu.org>  Fri, 28 Feb 2020 09:48:05 +0100

git-buildpackage (0.9.18) unstable; urgency=medium

  [ Guido Günther ]
  * [abe1ec7] import-orig: Recommend python3-requests.  The python2 version
    won't do
  * [bddd221] dch: Always print where we pick up
  * [f8883eb] config: Be less picky about comments after boolean values.
    This makes 'patch-numbers = False # comment' work.
    Thanks to Mechtilde Stehmann for the report

  [ Christian Göttsche ]
  * [2f1c157] add option to export tarballs with upstream signature.
    Add option `--upstream-signatures=[on|auto|off]` to export-orig.
    Add option `--git-upstream-signatures=[on|auto|off]` to buildpackage.
    (Closes: 872864)

  [ Matthias Klose ]
  * [b80027c] d/tests/control: Add xsltproc to the autopkg test dependencies
    (Closes: #950216)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 17 Feb 2020 15:12:12 +0100

git-buildpackage (0.9.17) unstable; urgency=medium

  * [6248524] export_orig: Don't fail without a repository.
    This is a valid use case in overlay mode
    Thanks to Thomas Koch for the report
  * [ff9ff7e] Use UpstreamSource for additional tarballs as well.
    This will help on upstream tarball signatures as well as
    improving additional tarball handling.
  * [16781c8] import-orig: Handle tarball signature when using pristine-tar
  * [4a97a1c] import-dsc: Import signature if present in dsc
  * [e541f35] Recommend and build depend on pristine-tar 1.41
    since only this version has signature support.
  * [12ed9fb] travis-ci: Switch to bionic.
    Need to drop python 3.4 for that since it's not available on bionic.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 31 Oct 2019 19:15:14 +0100

git-buildpackage (0.9.16) unstable; urgency=medium

  * [fef81e2] pq: Don't bubble up FileNotFoundException (Closes: #940043)
  * [fb26fd9] docs: Fix wrong argument order of branch rename.
    Thanks to Jens Reyer (Closes: #941110)
  * [11f9f31] export-orig: Check 'origin/pristine-tar' as well for compression
    type (Closes: #941894)
  * [916f538] docs: Fix typos.
    Thanks to lintian
  * [6cf1f7e] d/control: Bump standards version
    no changes needed

 -- Guido Günther <agx@sigxcpu.org>  Tue, 22 Oct 2019 17:36:46 +0200

git-buildpackage (0.9.15) unstable; urgency=medium

  [ Guido Günther ]
  * [b12b85a] import-orig: Allow to run a post unpack hook.
    The working directory of the hook is the top temporary directory the
    tarballs are being unpacked into.
  * [6696656] docs: Document gbp import-orig --postunpack
  * [292edcf] import_orig: Move upstream-vcs-tag's help to config.
    This way it can be shared.
  * [61757c0] import_dsc: Support upstream-vcs-tag (Closes: #782886)
  * [1acd0bb] docs: import-dsc: Document --upstream-vcs-tag
  * [b888349] gbp-clone: Support salsa: pseudo urls
  * Fix flake8 errors (Closes: #939648)

  [ Hideki Yamane ]
  * [d1960b3] gbp.conf: Set default compresson to xz.
    The value is commented out so does not have any effect but it's
    better to recommend the right value.

  [ Maximiliano Curia ]
  * [8afb7ee] import-orig/merge_replace Avoid calling force_head.
    The debian_merge_by_replace function ends up calling force_head, but up to
    this point the current branch could be anything, and thus when called from
    a feature branch the latest commits get lost.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Sep 2019 10:58:51 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog git-buildpackage`.
